GDBserver

Macros | Functions | Variables
linux-m68k-low.c File Reference
`#include "server.h"`
`#include "linux-low.h"`
`#include <asm/ptrace.h>`

Go to the source code of this file.

## Macros
#define | m68k_num_regs 29
#define | m68k_num_gregs 18
#define | m68k_breakpoint_len 2

## Functions
void | init_registers_m68k (void)
static int | m68k_cannot_store_register (int regno)
static int | m68k_cannot_fetch_register (int regno)
static const gdb_byte * | m68k_sw_breakpoint_from_kind (int kind, int *size)
static int | m68k_breakpoint_at (CORE_ADDR pc)
static const struct regs_info * | m68k_regs_info (void)
static void | m68k_arch_setup (void)
static int | m68k_supports_hardware_single_step (void)
void | initialize_low_arch (void)

## Variables
const struct target_desc * | tdesc_m68k
static int | m68k_regmap []
static struct regset_info | m68k_regsets []
static const gdb_byte | m68k_breakpoint [] = { 0x4E, 0x4F }
static struct regsets_info | m68k_regsets_info
static struct usrregs_info | m68k_usrregs_info
static struct regs_info | regs_info
struct linux_target_ops | the_low_target

## Macro Definition Documentation

## ◆ m68k_breakpoint_len

#define m68k_breakpoint_len 2

Definition at line 126 of file linux-m68k-low.c.

Referenced by m68k_sw_breakpoint_from_kind().

## ◆ m68k_num_gregs

#define m68k_num_gregs 18

Definition at line 31 of file linux-m68k-low.c.

## ◆ m68k_num_regs

#define m68k_num_regs 29

Definition at line 30 of file linux-m68k-low.c.

Referenced by m68k_cannot_fetch_register(), and m68k_cannot_store_register().

## Function Documentation

## ◆ init_registers_m68k()

void init_registers_m68k | ( | void |  | ) |

Referenced by initialize_low_arch().

## ◆ initialize_low_arch()

void initialize_low_arch | ( | void |  | ) |

Definition at line 249 of file linux-m68k-low.c.

References init_registers_m68k(), and m68k_regsets_info.

## ◆ m68k_arch_setup()

static void m68k_arch_setup | ( | void |  | ) |
| static

Definition at line 197 of file linux-m68k-low.c.

References current_process(), process_info::tdesc, and tdesc_m68k.

## ◆ m68k_breakpoint_at()

static int m68k_breakpoint_at | ( | CORE_ADDR | pc | ) |
| static

Definition at line 138 of file linux-m68k-low.c.

References read_inferior_memory().

## ◆ m68k_cannot_fetch_register()

static int m68k_cannot_fetch_register | ( | int | regno | ) |
| static

Definition at line 64 of file linux-m68k-low.c.

References m68k_num_regs.

## ◆ m68k_cannot_store_register()

static int m68k_cannot_store_register | ( | int | regno | ) |
| static

Definition at line 58 of file linux-m68k-low.c.

References m68k_num_regs.

## ◆ m68k_regs_info()

static const struct regs_info* m68k_regs_info | ( | void |  | ) |
| static

Definition at line 191 of file linux-m68k-low.c.

References regs_info.

## ◆ m68k_supports_hardware_single_step()

static int m68k_supports_hardware_single_step | ( | void |  | ) |
| static

Definition at line 205 of file linux-m68k-low.c.

## ◆ m68k_sw_breakpoint_from_kind()

static const gdb_byte* m68k_sw_breakpoint_from_kind | ( | int | kind,
|  | int * | size
| ) |  |
| static

Definition at line 131 of file linux-m68k-low.c.

References m68k_breakpoint, and m68k_breakpoint_len.

## Variable Documentation

## ◆ m68k_breakpoint

const gdb_byte m68k_breakpoint[] = { 0x4E, 0x4F }
| static

Definition at line 125 of file linux-m68k-low.c.

Referenced by m68k_sw_breakpoint_from_kind().

## ◆ m68k_regmap

int m68k_regmap[]
| static

Initial value:
=
{
14 * 4, 0 * 4, 1 * 4, 2 * 4, 3 * 4, 4 * 4, 5 * 4, 6 * 4,
7 * 4, 8 * 4, 9 * 4, 10 * 4, 11 * 4, 12 * 4, 13 * 4, 15 * 4,
17 * 4, 18 * 4,
21 * 4, 24 * 4, 27 * 4, 30 * 4, 33 * 4, 36 * 4,
39 * 4, 42 * 4, 45 * 4, 46 * 4, 47 * 4
}

Definition at line 34 of file linux-m68k-low.c.

## ◆ m68k_regsets

struct regset_info m68k_regsets[]
| static

Initial value:
= {
NULL_REGSET
}

Definition at line 113 of file linux-m68k-low.c.

## ◆ m68k_regsets_info

struct regsets_info m68k_regsets_info
| static

Initial value:
=
{
m68k_regsets,
0,
NULL,
}
m68k_regsets
static struct regset_info m68k_regsets[]
Definition: linux-m68k-low.c:113

Definition at line 170 of file linux-m68k-low.c.

Referenced by initialize_low_arch().

## ◆ m68k_usrregs_info

struct usrregs_info m68k_usrregs_info
| static

Initial value:
=
{
m68k_num_regs,
m68k_regmap,
}
m68k_regmap
static int m68k_regmap[]
Definition: linux-m68k-low.c:34
m68k_num_regs
#define m68k_num_regs
Definition: linux-m68k-low.c:30

Definition at line 177 of file linux-m68k-low.c.

## ◆ regs_info

struct regs_info regs_info
| static

Initial value:
=
{
NULL,
&m68k_usrregs_info,
&m68k_regsets_info
}
m68k_usrregs_info
static struct usrregs_info m68k_usrregs_info
Definition: linux-m68k-low.c:177
m68k_regsets_info
static struct regsets_info m68k_regsets_info
Definition: linux-m68k-low.c:170

Definition at line 183 of file linux-m68k-low.c.

Referenced by m68k_regs_info().

## ◆ tdesc_m68k

const struct target_desc* tdesc_m68k

Referenced by m68k_arch_setup().

## ◆ the_low_target

struct linux_target_ops the_low_target

Definition at line 210 of file linux-m68k-low.c.